{% extends 'SyliusWebBundle:Backend:layout.html.twig' %}

{% from 'SyliusResourceBundle:Macros:actions.html.twig' import create %}

{% block topbar %}
    <ol class="breadcrumb">
        <li>{{ 'sylius.breadcrumb.assortment'|trans }}</li>
        <li><a href="{{ path('elbotrade_catalog_backend_list') }}">Catalogs</a></li>
        <li>{{ 'sylius.breadcrumb.new'|trans }}</a></li>
    </ol>
{% endblock %}

{% block content %}
    <div class="page-header">
        <h1><i class="glyphicon glyphicon-plus"></i> New catalog</h1>
    </div>

    {{ form_errors(form) }}

    {% include "@ElbotradeCatalog/Partial/multi_upload.html.twig" %}
    <form id="createCatalog" name="createCatalog" action="{{ path('elbotrade_catalog_backend_create', {editId: editId}) }}" method="post" class="form-horizontal" {{ form_enctype(form) }} novalidate>
        {{ form_row(form.name) }}
        {{ form_row(form.active) }}
        {{ form_row(form.locale) }}
        {{ form_row(form.category) }}
        {{ form_row(form.pdf, {'accept': 'application/pdf,application/vnd.ms-excel'}) }}
        Prvá stránka PDF súboru sa bude používať ako tapeta.
        {{ create() }}
    </form>
{% endblock %}

{% block javascripts %}
    {{ parent() }}

    <script src="{{ asset('bundles/elbotradecatalog/js/underscore-min.js') }}"></script>
    <script src="//ajax.googleapis.com/ajax/libs/jqueryui/1.11.1/jquery-ui.min.js"></script>
    <script src="{{ asset('bundles/punkavefileuploader/js/jquery.fileupload.js') }}"></script>
    <script src="{{ asset('bundles/punkavefileuploader/js/jquery.iframe-transport.js') }}"></script>
    <script src="{{ asset('bundles/punkavefileuploader/js/FileUploader.js') }}"></script>

    <script type="text/javascript">
        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();

                reader.onload = function (e) {
                    $('#image-preview')
                            .attr('src', e.target.result)
                            .width(100)
                            .height(100);
                };

                reader.readAsDataURL(input.files[0]);
            }
        }

        function openBrowser() {
            $('#createCatalog input[type=file]').click();
        }

        $(function() {
            new PunkAveFileUploader({
                'uploadUrl': {{ path('multi-upload', {editId: editId}) | json_encode | raw }},
                {#'viewUrl': {{ ('/uploads/tmp/attachments/' ~ editId) | json_encode | raw }},#} {# sluzi na vyhladavanie uz uploadnutych fotkach #}
                'el': '.file-uploader',
                'existingFiles': {{ punkave_get_files('tmp/attachments/' ~ editId) | json_encode | raw }},
                'delaySubmitWhileUploading': '#galleryUpload'
            });
        });

    </script>
{% endblock %}